#
# spec file for package mt_st
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mt_st
Version:        1.1
Release:        8.1
Provides:       mt-st
Summary:        Utility for Controlling Magnetic Tape Drives
License:        GPL-2.0+
Group:          Productivity/Archiving/Backup
Source:         mt-st-%{version}.tar.bz2
Url:            ftp://ftp.ibiblio.org/pub/linux/system/backup/mt-st-%{version}.tar.gz
Patch:          mt-st-%{version}.patch
Patch1:         mt-st-codecleanup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Although this mt program (called mtst) is tailored for SCSI tape
drives, it can also be used with the QIC-02 driver and hopefully with
other Linux tape drivers that use the same ioctls (some of the commands
may not work with all drivers). The stinit program allows the setting
of some SCSI tape parameters.



Authors:
--------
    Kai Makisara <Kai.Makisara@metla.fi>

%prep
%setup -q -n mt-st-%{version}
%patch
%patch1

%build
make CC="%__cc" CFLAGS="%{optflags} -W -Wall"

%install
    make install DESTDIR=%{buildroot} MANDIR=%{buildroot}%{_mandir}

%files
%defattr(-,root,root)
%doc README README.stinit stinit.def.examples
%attr(755,root,root) /usr/bin/mtst
%attr(755,root,root) /usr/sbin/stinit
%doc %attr(644,root,root) %{_mandir}/man1/mtst.1.gz
%doc %attr(644,root,root) %{_mandir}/man8/stinit.8.gz

%clean
rm -rf %{buildroot}
rm -rf %{buildroot}/mt-st-%{version}

%changelog
* Fri Nov 11 2011 tbehrens@suse.com
- Update to version 1.1
  * unused defines removed from mtio.h (compiles also with distributions no
    having linux/qic117.h)
  * add support for MT_ST_SILI to mt and stinit
  * add command showoptions for kernels >= 2.6.26
- removed obsolete mt-st-0.9b-local_qic117_h.patch (changes are
  upstream)
- updated mt-st-0.9b.patch to mt-st-1.1.patch
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Wed Mar 14 2007 pth@suse.de
- Update to 0.9b:
  Changes since 0.7:
  - add local copy of qic117.h missing from recent kernels.
  - only stinit changed
  - more density codes
  - put man page into /usr/share/man/man1
  - documentation cleanup
  - add some density translations
  - counts can use the k, M, or G postfix
* Sat Nov 11 2006 olh@suse.de
- fix doc file permission
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Tue Nov 27 2001 garloff@suse.de
- Use %%attr and remove -m -o -g from install to allow building
  as non-root.
* Tue Nov 27 2001 garloff@suse.de
- Update to mt-st-0.7:
  * eject alias for rewoffl (GNU mt compat)
  * some new density codes
  * cleaning status and request handling
* Fri Dec  1 2000 garloff@suse.de
- Update to mt-st-0.6; including osst (OnStream) support.
* Fri May 26 2000 garloff@suse.de
- Add some docu
- Use BuildRoot.
* Sat Feb  5 2000 garloff@suse.de
- Move manpages to /usr/share/man
* Tue Jan  4 2000 garloff@suse.de
- upgrade to 0.5b (including stinit).
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
